Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.text
Class GspPrinter

Constructor Summary
`GspPrinter(PrintWriter out, String indent)`
`GspPrinter(IndentPrinter out)`

Method Summary
`void` | `append(StringBuffer sb, char plainChar, String xmlString, boolean inGString)`
`String` | `escapeSpecialChars(String s)`
`void` | `printGroovyTag(String tag, String text)`
`void` | `printLineBegin()`
`void` | `printLineEnd(String comment)`
`void` | `printSimpleItem(Object value)`
`boolean` | `printSpecialNode(Node node)`

Constructor Detail

### GspPrinter

    public GspPrinter(PrintWriter out, String indent)

### GspPrinter

    public GspPrinter(IndentPrinter out)

Method Detail

### append

    void append(StringBuffer sb, char plainChar, String xmlString, boolean inGString)

### escapeSpecialChars

    String escapeSpecialChars(String s)

### printGroovyTag

    void printGroovyTag(String tag, String text)

### printLineBegin

    void printLineBegin()

### printLineEnd

    void printLineEnd(String comment)

### printSimpleItem

    void printSimpleItem(Object value)

### printSpecialNode

    boolean printSpecialNode(Node node)